Bug 378431 - Review Request: evolution-python - Python bindings for manipulating evolution data
Review Request: evolution-python - Python bindings for manipulating evolution...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-12 13:28 EST by Bernard Johnson
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 14:54:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Bernard Johnson 2007-11-12 13:28:38 EST
Spec URL: http://bjohnson.fedorapeople.org/evolution-python.spec
SRPM URL: http://bjohnson.fedorapeople.org/evolution-python-0.0.4-1.fc7.src.rpm
Description:
Python bindings for manipulating evolution data.
Comment 1 Parag AN(पराग) 2007-11-13 04:20:02 EST
1) remove .la files from installing.
2) remove unnecessary BR's
pkgconfig,gdk-pixbuf-devel,pygobject2-devel,gtk+-devel.pkgconfig
3) Source URL should be
http://files.conduit-project.org/releases/%{name}-%{version}.tar.gz
4) good to add test files from test directory as %doc
Comment 2 Parag AN(पराग) 2007-11-13 04:20:37 EST
rpmlint complained
evolution-python.i386: W: devel-file-in-non-devel-package
/usr/lib/pkgconfig/evolution-python.pc
A development file (usually source code) is located in a non-devel
package. If you want to include source code in your package, be sure to
create a development package.
Comment 3 Bernard Johnson 2007-11-13 10:57:11 EST
(In reply to comment #1)
> 1) remove .la files from installing.
Ooops.  I did my removal on the wrong directory :)  Fixed.

> 2) remove unnecessary BR's
> pkgconfig,gdk-pixbuf-devel,pygobject2-devel,gtk+-devel.pkgconfig
Fixed.

> 3) Source URL should be
> http://files.conduit-project.org/releases/%{name}-%{version}.tar.gz
Fixed.

> 4) good to add test files from test directory as %doc
Fixed.

(In reply to comment #2)
> rpmlint complained
> evolution-python.i386: W: devel-file-in-non-devel-package
> /usr/lib/pkgconfig/evolution-python.pc
> A development file (usually source code) is located in a non-devel
> package. If you want to include source code in your package, be sure to
> create a development package.

If I put the .pc file in a -devel package it will be the only file in the
package.  This seems silly.  There has been discussion in the past on the
packaging list whether this rule should be bent or not for this particular case.
 I'm in the camp that thinks it should ;)  You can see this same behavior in
packages like tomboy and beagle as well (although that's no excuse).


Spec URL: http://bjohnson.fedorapeople.org/evolution-python.spec
SRPM URL: http://bjohnson.fedorapeople.org/evolution-python-0.0.4-2.fc7.src.rpm
Comment 4 Parag AN(पराग) 2007-11-14 00:00:51 EST
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM, But NOT for RPM.
  evolution-python.i386: W: devel-file-in-non-devel-package
/usr/lib/pkgconfig/evolution-python.pc
  ==> We can ignore this for thi spackage instead of creating a -devel for
installing single file.
+ source files match upstream url
2d08555f0a6de288bfcc3b048d98b3e4  evolution-python-0.0.4.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ BuildRequires are proper.
+ Compiler flags used correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ evolution-python.pc file present.
+ -devel subpackage not needed for single file.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Package evolution-python-0.0.4-2.fc9 ->
  Provides: ebook.so ecal.so
  Requires: libORBit-2.so.0 libbonobo-2.so.0 libbonobo-activation.so.4 libc.so.6
libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.4) libdl.so.2
libebook-1.2.so.9 libecal-1.2.so.7 libedataserver-1.2.so.9 libgconf-2.so.4
libgdk_pixbuf-2.0.so.0 libglib-2.0.so.0 libgmodule-2.0.so.0 libgnome-2.so.0
libgobject-2.0.so.0 libgthread-2.0.so.0 libpango-1.0.so.0 libpopt.so.0
libpthread.so.0 librt.so.1 libxml2.so.2 pkgconfig python(abi) = 2.5 rtld(GNU_HASH)
+ Not a GUI App.
APPROVED.
Comment 5 Bernard Johnson 2007-11-15 00:09:26 EST
Thanks for the review!

New Package CVS Request
=======================
Package Name: evolution-python
Short Description: Python bindings for manipulating evolution data
Owners: bjohnson
Branches: F-7 F-8
InitialCC:
Cvsextras Commits: yes
Comment 6 Kevin Fenzi 2007-11-15 12:18:53 EST
cvs done.
Comment 7 Bernard Johnson 2007-11-15 14:54:17 EST
Built for F-9, F-8, F-7; pushed to testing...

Note You need to log in before you can comment on or make changes to this bug.